Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.glacier.v2
Class FragmentMetadata

    java.lang.Object
      rice.p2p.glacier.v2.FragmentMetadata

All Implemented Interfaces:
  java.lang.Comparable, java.io.Serializable

public class FragmentMetadata
extends java.lang.Object
implements java.io.Serializable, java.lang.Comparable

DESCRIBE THE CLASS

Version:
  $Id: pretty.settings,v 1.3 2005/03/11 20:22:33 jeffh Exp $
Author:
  jeffh
See Also:
  Serialized Form

Field Summary
`protected long` | `currentExpirationDate` DESCRIBE THE FIELD
`protected long` | `previousExpirationDate` DESCRIBE THE FIELD
`protected long` | `storedSince` DESCRIBE THE FIELD

Constructor Summary
`FragmentMetadata(long currentExpirationDate, long previousExpirationDate, long storedSince)` Constructor for FragmentMetadata.

Method Summary
`int` | `compareTo(java.lang.Object object)` DESCRIBE THE METHOD

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### currentExpirationDate

    protected long currentExpirationDate

  DESCRIBE THE FIELD

### previousExpirationDate

    protected long previousExpirationDate

  DESCRIBE THE FIELD

### storedSince

    protected long storedSince

  DESCRIBE THE FIELD

Constructor Detail

### FragmentMetadata

    public FragmentMetadata(long currentExpirationDate,
                            long previousExpirationDate,
                            long storedSince)

  Constructor for FragmentMetadata.

Parameters:
  `currentExpirationDate` - DESCRIBE THE PARAMETER
  `previousExpirationDate` - DESCRIBE THE PARAMETER
  `storedSince` - DESCRIBE THE PARAMETER

Method Detail

### compareTo

    public int compareTo(java.lang.Object object)

  DESCRIBE THE METHOD

  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  Parameters:
    `object` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.